#include(macros.inc)

[top]
components : test

[test]
type : cell
dim : (19,19,5)
delay : transport
defaultDelayTime  : 100
border : wrapped 
neighbors :          		test(-1,0,0) 
neighbors :  test(0,-1,0)	test(0,0,0) 	test(0,1,0)
neighbors :                     test(0,0,1)
neighbors :                     test(0,0,2)
neighbors :                     test(0,0,3)
neighbors :                     test(0,0,4)
neighbors : 			test(1,0,0) 
initialvalue : 0
initialCellsValue : init_values.txt 
localtransition : test-rule
zone : planoU-rule { (0,0,1)..(17,18,1) }
zone : planoD-rule { (1,0,2)..(18,18,2) }
zone : planoR-rule { (0,1,3)..(18,18,3) }
zone : planoL-rule { (0,0,4)..(18,17,4) }
zone : downU-rule  { (18,0,1)..(18,18,1) }
zone : topD-rule   { (0,0,2)..(0,18,2) }
zone : leftR-rule  { (0,0,3)..(18,0,3) }
zone : rigthL-rule { (0,18,4)..(18,18,4) }
zone : rebote-rule { (0,7,4)..(4,7,4) }

[planoU-rule]
rule : { 0 } 100 { trunc((0,0,0)) = #macro(maxFase) or ( fractional((0,0,0)) < 0.0001 and fractional((0,0,0)) > 0 ) }
rule : { trunc((1,0,0)) + fractional((1,0,0)) * #macro(atenuacion) } 100 { (1,0,0) != 0 }
rule : { trunc((0,0,0)) + 1 + fractional((0,0,0))} 100 { (0,0,0) != 0 }
rule : { 0 } 100 { t }

[planoD-rule]
rule : { 0 } 100 { trunc((0,0,0)) = #macro(maxFase) or ( fractional((0,0,0)) < 0.0001 and fractional((0,0,0)) > 0 ) }
rule : { trunc((-1,0,0)) + fractional((-1,0,0)) * #macro(atenuacion) } 100 { (-1,0,0) != 0 }
rule : { trunc((0,0,0)) + 1 + fractional((0,0,0))} 100 { (0,0,0) != 0 }
rule : { 0 } 100 { t }

[planoR-rule]
rule : { 0 } 100 { trunc((0,0,0)) = #macro(maxFase) or ( fractional((0,0,0)) < 0.0001 and fractional((0,0,0)) > 0 ) or ( cellpos(0) < 5 and cellpos(1) = 8 ) }
rule : { trunc((0,-1,0)) + fractional((0,-1,0)) * #macro(atenuacion) } 100 { (0,-1,0) != 0 }
rule : { trunc((0,0,0)) + 1 + fractional((0,0,0))} 100 { (0,0,0) != 0 }
rule : { 0 } 100 { t }

[planoL-rule]
rule : { 0 } 100 { trunc((0,0,0)) = #macro(maxFase) or ( fractional((0,0,0)) < 0.0001 and fractional((0,0,0)) > 0 ) }
rule : { trunc((0,1,0)) + fractional((0,1,0)) * #macro(atenuacion) } 100  { (0,1,0) != 0 }
rule : { trunc((0,0,0)) + 1 + fractional((0,0,0))} 100 { (0,0,0) != 0 }
rule : { 0 } 100 { t }

[downU-rule]
rule : { (0,0,1) } 100 { (0,0,1) != 0 }
rule : { 0 } 100 { t }

[topD-rule]
rule : { (0,0,4) } 100 { (0,0,4) != 0 }
rule : { 0 } 100 { t }

[leftR-rule]
rule : { (0,0,1) } 	100 { (0,0,1) != 0 }
rule : { 0 } 100 { t }

[rigthL-rule]
rule : { (0,0,4) } 	100 { (0,0,4) != 0 }
rule : { 0 } 100 { t }

[rebote-rule]
rule : { (0,0,4) } 	100 { (0,0,4) != 0 }
rule : { 0 } 100 { t }

[test-rule]
rule : { ((sin(PI/4 * trunc((0,0,1))) * fractional((0,0,1)) + sin(PI/4 * trunc((0,0,2))) * fractional((0,0,2)) + sin(PI/4 * trunc((0,0,3))) * fractional((0,0,3)) + sin(PI/4 * trunc((0,0,4))) * fractional((0,0,4)) )) * 10 } 100 { (0,0,1) != 0 or (0,0,2) != 0 or (0,0,3) != 0 or (0,0,4) != 0 }
rule : 0 100 { t }

